Skip to main content
POST
Ingest extension list

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

organization_id
string
required

Organization ID

integration_id
string
required

Integration identifier

Body

Request body can be in multiple formats:

  • Text format: Plain text list of extension IDs separated by newlines, spaces, or commas
  • JSON format: JSON object with extension_ids array or custom JSONPath
  • Browser format: JSON with extensions array containing extension_id and version
  • Code format: JSON with platform and extensions array

The body is of type string.

Example:

"abcdef1234567890abcdef1234567890\nfedcba0987654321fedcba0987654321\n"

Response

Ingest completed successfully

organization_id
string

Organization ID

integration_id
string

Integration ID

processed
integer

Total number of extensions processed

Example:

10

added
integer

Number of new rules added

Example:

8

result
object[]